airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Berislav Lopac (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AIRFLOW-2374) Airflow fails to show logs
Date Mon, 30 Apr 2018 21:22:00 GMT

     [ https://issues.apache.org/jira/browse/AIRFLOW-2374?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Berislav Lopac resolved AIRFLOW-2374.
-------------------------------------
    Resolution: Fixed

Resolved in AIRFLOW-2363

> Airflow fails to show logs
> --------------------------
>
>                 Key: AIRFLOW-2374
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-2374
>             Project: Apache Airflow
>          Issue Type: Bug
>            Reporter: Berislav Lopac
>            Assignee: Berislav Lopac
>            Priority: Blocker
>
> When viewing a log in the webserver, the page shows a loading gif and the log never appears.
Looking in the Javascript console, the problem appears to be error 500 when loading the {{get_logs_with_metadata}}
endpoint, givving the following trace:
> {code:java}
>                           ____/ (  (    )   )  \___
>                          /( (  (  )   _    ))  )   )\
>                        ((     (   )(    )  )   (   )  )
>                      ((/  ( _(   )   (   _) ) (  () )  )
>                     ( (  ( (_)   ((    (   )  .((_ ) .  )_
>                    ( (  )    (      (  )    )   ) . ) (   )
>                   (  (   (  (   ) (  _  ( _) ).  ) . ) ) ( )
>                   ( (  (   ) (  )   (  ))     ) _)(   )  )  )
>                  ( (  ( \ ) (    (_  ( ) ( )  )   ) )  )) ( )
>                   (  (   (  (   (_ ( ) ( _    )  ) (  )  )   )
>                  ( (  ( (  (  )     (_  )  ) )  _)   ) _( ( )
>                   ((  (   )(    (     _    )   _) _(_ (  (_ )
>                    (_((__(_(__(( ( ( |  ) ) ) )_))__))_)___)
>                    ((__)        \\||lll|l||///          \_))
>                             (   /(/ (  )  ) )\   )
>                           (    ( ( ( | | ) ) )\   )
>                            (   /(| / ( )) ) ) )) )
>                          (     ( ((((_(|)_)))))     )
>                           (      ||\(|(|)|/||     )
>                         (        |(||(||)||||        )
>                           (     //|/l|||)|\\ \     )
>                         (/ / //  /|//||||\\  \ \  \ _)
> -------------------------------------------------------------------------------
> Node: airflow-nods-dev
> -------------------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/opt/airflow/src/apache-airflow/airflow/utils/log/gcs_task_handler.py", line
113, in _read
>     remote_log = self.gcs_read(remote_loc)
>   File "/opt/airflow/src/apache-airflow/airflow/utils/log/gcs_task_handler.py", line
131, in gcs_read
>     return self.hook.download(bkt, blob).decode()
>   File "/opt/airflow/src/apache-airflow/airflow/contrib/hooks/gcs_hook.py", line 107,
in download
>     .get_media(bucket=bucket, object=object) \
>   File "/usr/local/lib/python3.6/dist-packages/oauth2client/_helpers.py", line 133, in
positional_wrapper
>     return wrapped(*args, **kwargs)
>   File "/usr/local/lib/python3.6/dist-packages/googleapiclient/http.py", line 841, in
execute
>     raise HttpError(resp, content, uri=self.uri)
> googleapiclient.errors.HttpError: <HttpError 404 when requesting https://www.googleapis.com/storage/v1/b/bucket-af/o/test-logs%2Fgeneric_transfer_single%2Ftransfer_file%2F2018-04-25T13%3A00%3A51.250983%2B00%3A00%2F1.log?alt=media
returned "Not Found">
> During handling of the above exception, another exception occurred:
> Traceback (most recent call last):
>   File "/usr/local/lib/python3.6/dist-packages/flask/app.py", line 1982, in wsgi_app
>     response = self.full_dispatch_request()
>   File "/usr/local/lib/python3.6/dist-packages/flask/app.py", line 1614, in full_dispatch_request
>     rv = self.handle_user_exception(e)
>   File "/usr/local/lib/python3.6/dist-packages/flask/app.py", line 1517, in handle_user_exception
>     reraise(exc_type, exc_value, tb)
>   File "/usr/local/lib/python3.6/dist-packages/flask/_compat.py", line 33, in reraise
>     raise value
>   File "/usr/local/lib/python3.6/dist-packages/flask/app.py", line 1612, in full_dispatch_request
>     rv = self.dispatch_request()
>   File "/usr/local/lib/python3.6/dist-packages/flask/app.py", line 1598, in dispatch_request
>     return self.view_functions[rule.endpoint](**req.view_args)
>   File "/usr/local/lib/python3.6/dist-packages/flask_admin/base.py", line 69, in inner
>     return self._run_view(f, *args, **kwargs)
>   File "/usr/local/lib/python3.6/dist-packages/flask_admin/base.py", line 368, in _run_view
>     return fn(self, *args, **kwargs)
>   File "/usr/local/lib/python3.6/dist-packages/flask_login.py", line 758, in decorated_view
>     return func(*args, **kwargs)
>   File "/opt/airflow/src/apache-airflow/airflow/www/utils.py", line 269, in wrapper
>     return f(*args, **kwargs)
>   File "/opt/airflow/src/apache-airflow/airflow/utils/db.py", line 74, in wrapper
>     return func(*args, **kwargs)
>   File "/opt/airflow/src/apache-airflow/airflow/www/views.py", line 770, in get_logs_with_metadata
>     logs, metadatas = handler.read(ti, try_number, metadata=metadata)
>   File "/opt/airflow/src/apache-airflow/airflow/utils/log/file_task_handler.py", line
164, in read
>     log, metadata = self._read(task_instance, try_number, metadata)
>   File "/opt/airflow/src/apache-airflow/airflow/utils/log/gcs_task_handler.py", line
120, in _read
>     log += super(GCSTaskHandler, self)._read(ti, try_number)
> TypeError: must be str, not tuple{code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message